PLplot: plplotcanvas-hacktext.c File Reference

PLplot 5.10.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Classes | Macros | Enumerations | Functions | Variables
plplotcanvas-hacktext.c File Reference
`#include <plplot_config.h>`
`#include <math.h>`
`#include <string.h>`
`#include <libgnomeprint/gnome-pgl.h>`
`#include <libgnomeprint/gnome-font.h>`
`#include <libgnomeprint/gnome-rfont.h>`
`#include "plplotcanvas-hacktext.h"`

Go to the source code of this file.

## Classes
struct | _PlplotCanvasHacktextPriv

## Macros
#define | __GNOME_PRINT_I18N_H__
#define | textdomain(String) ( String )
#define | gettext(String) ( String )
#define | dgettext(Domain, Message) ( Message )
#define | dcgettext(Domain, Message, Type) ( Message )
#define | bindtextdomain(Domain, Directory) ( Domain )
#define | _(String) ( String )
#define | N_(String) ( String )

## Enumerations
enum | { PROP_0, PROP_TEXT, PROP_GLYPHLIST, PROP_FILL_COLOR, PROP_FILL_COLOR_RGBA, PROP_FONT, PROP_X, PROP_Y }

## Functions
static void | plplot_canvas_hacktext_class_init (PlplotCanvasHacktextClass *class)
static void | plplot_canvas_hacktext_init (PlplotCanvasHacktext *hacktext)
static void | plplot_canvas_hacktext_destroy (GtkObject *object)
static void | plplot_canvas_hacktext_set_property (GObject *object, guint param_id, const GValue *value, GParamSpec *pspec)
static void | plplot_canvas_hacktext_get_property (GObject *object, guint param_id, GValue *value, GParamSpec *pspec)
static void | plplot_canvas_hacktext_update (GnomeCanvasItem *item, double *affine, ArtSVP *clip_path, int flags)
static void | plplot_canvas_hacktext_realize (GnomeCanvasItem *item)
static void | plplot_canvas_hacktext_unrealize (GnomeCanvasItem *item)
static double | plplot_canvas_hacktext_point (GnomeCanvasItem *item, double x, double y, int cx, int cy, GnomeCanvasItem **actual_item)
static void | plplot_canvas_hacktext_bounds (GnomeCanvasItem *item, double *x1, double *y1, double *x2, double *y2)
static void | plplot_canvas_hacktext_render (GnomeCanvasItem *item, GnomeCanvasBuf *buf)
static void | plplot_canvas_hacktext_req_repaint (PlplotCanvasHacktext *hacktext, ArtIRect *bbox)
GType | plplot_canvas_hacktext_get_type (void)
static void | art_drect_hacktext (ArtDRect *bbox, PlplotCanvasHacktext *hacktext)
static void | get_bounds (PlplotCanvasHacktext *hacktext, double *bx1, double *by1, double *bx2, double *by2)

## Variables
static GnomeCanvasItemClass * | parent_class

## Macro Definition Documentation

#define _ | ( |  | String | ) | ( String )

Definition at line 57 of file plplotcanvas-hacktext.c.

#define __GNOME_PRINT_I18N_H__

Definition at line 51 of file plplotcanvas-hacktext.c.

#define bindtextdomain | ( |  | Domain,
|  |  | Directory
| ) |  | ( Domain )

Definition at line 56 of file plplotcanvas-hacktext.c.

#define dcgettext | ( |  | Domain,
|  |  | Message,
|  |  | Type
| ) |  | ( Message )

Definition at line 55 of file plplotcanvas-hacktext.c.

#define dgettext | ( |  | Domain,
|  |  | Message
| ) |  | ( Message )

Definition at line 54 of file plplotcanvas-hacktext.c.

#define gettext | ( |  | String | ) | ( String )

Definition at line 53 of file plplotcanvas-hacktext.c.

#define N_ | ( |  | String | ) | ( String )

Definition at line 58 of file plplotcanvas-hacktext.c.

#define textdomain | ( |  | String | ) | ( String )

Definition at line 52 of file plplotcanvas-hacktext.c.

## Enumeration Type Documentation

anonymous enum

Enumerator:

  PROP_0 |
  PROP_TEXT |
  PROP_GLYPHLIST |
  PROP_FILL_COLOR |
  PROP_FILL_COLOR_RGBA |
  PROP_FONT |
  PROP_X |
  PROP_Y |

Definition at line 66 of file plplotcanvas-hacktext.c.

## Function Documentation

static void art_drect_hacktext | ( | ArtDRect * | bbox,
|  | PlplotCanvasHacktext * | hacktext
| ) |  |
| static

Definition at line 255 of file plplotcanvas-hacktext.c.

static void get_bounds | ( | PlplotCanvasHacktext * | hacktext,
|  | double * | bx1,
|  | double * | by1,
|  | double * | bx2,
|  | double * | by2
| ) |  |
| static

Definition at line 277 of file plplotcanvas-hacktext.c.

static void plplot_canvas_hacktext_bounds | ( | GnomeCanvasItem * | item,
|  | double * | x1,
|  | double * | y1,
|  | double * | x2,
|  | double * | y2
| ) |  |
| static

Definition at line 546 of file plplotcanvas-hacktext.c.

static void plplot_canvas_hacktext_class_init | ( | PlplotCanvasHacktextClass * | class | ) |
| static

Definition at line 133 of file plplotcanvas-hacktext.c.

static void plplot_canvas_hacktext_destroy | ( | GtkObject * | object | ) |
| static

Definition at line 223 of file plplotcanvas-hacktext.c.

static void plplot_canvas_hacktext_get_property | ( | GObject * | object,
|  | guint | param_id,
|  | GValue * | value,
|  | GParamSpec * | pspec
| ) |  |
| static

Definition at line 408 of file plplotcanvas-hacktext.c.

GType plplot_canvas_hacktext_get_type | ( | void |  | ) |

Definition at line 112 of file plplotcanvas-hacktext.c.

static void plplot_canvas_hacktext_init | ( | PlplotCanvasHacktext * | hacktext | ) |
| static

Definition at line 211 of file plplotcanvas-hacktext.c.

static double plplot_canvas_hacktext_point | ( | GnomeCanvasItem * | item,
|  | double | x,
|  | double | y,
|  | int | cx,
|  | int | cy,
|  | GnomeCanvasItem ** | actual_item
| ) |  |
| static

Definition at line 527 of file plplotcanvas-hacktext.c.

static void plplot_canvas_hacktext_realize | ( | GnomeCanvasItem * | item | ) |
| static

Definition at line 505 of file plplotcanvas-hacktext.c.

static void plplot_canvas_hacktext_render | ( | GnomeCanvasItem * | item,
|  | GnomeCanvasBuf * | buf
| ) |  |
| static

Definition at line 586 of file plplotcanvas-hacktext.c.

static void plplot_canvas_hacktext_req_repaint | ( | PlplotCanvasHacktext * | hacktext,
|  | ArtIRect * | bbox
| ) |  |
| static

Definition at line 565 of file plplotcanvas-hacktext.c.

static void plplot_canvas_hacktext_set_property | ( | GObject * | object,
|  | guint | param_id,
|  | const GValue * | value,
|  | GParamSpec * | pspec
| ) |  |
| static

Definition at line 293 of file plplotcanvas-hacktext.c.

static void plplot_canvas_hacktext_unrealize | ( | GnomeCanvasItem * | item | ) |
| static

Definition at line 516 of file plplotcanvas-hacktext.c.

static void plplot_canvas_hacktext_update | ( | GnomeCanvasItem * | item,
|  | double * | affine,
|  | ArtSVP * | clip_path,
|  | int | flags
| ) |  |
| static

Definition at line 446 of file plplotcanvas-hacktext.c.

## Variable Documentation

GnomeCanvasItemClass* parent_class
| static

Definition at line 100 of file plplotcanvas-hacktext.c.